Bug 702692 - Review Request: perl-Test-CheckChanges - Check that the Changes file matches the distribution
Summary: Review Request: perl-Test-CheckChanges - Check that the Changes file matches ...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mario Blättermann
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-05-06 15:39 UTC by Paul Howarth
Modified: 2011-06-02 10:09 UTC (History)
3 users (show)

Fixed In Version: perl-Test-CheckChanges-0.14-2.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-06-02 10:09:41 UTC
mario.blaettermann: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Paul Howarth 2011-05-06 15:39:53 UTC
Spec URL: http://subversion.city-fan.org/repos/cfo-repo/perl-Test-CheckChanges/branches/fedora/perl-Test-CheckChanges.spec

SRPM URL: http://www.city-fan.org/~paul/extras/perl-Test-CheckChanges/perl-Test-CheckChanges-0.14-2.fc16.src.rpm

Description:

This module checks that your Changes file has an entry for the current version
of the Module being tested. The version information for the distribution being
tested is taken out of the Build data, or if that is not found, out of the
Makefile. It then attempts to open, in order, a file with the name Changes or
CHANGES. The Changes file is then parsed for version numbers. If one and only
one of the version numbers matches, the test passes; otherwise the test fails.
A message with the current version is printed if the test passes; otherwise
diagnostic messages are printed to help explain the failure.

Comment 1 Mario Blättermann 2011-05-06 19:06:23 UTC
Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=3055110

$ rpmlint -v *
perl-Test-CheckChanges.noarch: I: checking
perl-Test-CheckChanges.noarch: I: checking-url http://search.cpan.org/dist/Test-CheckChanges/ (timeout 10 seconds)
perl-Test-CheckChanges.src: I: checking
perl-Test-CheckChanges.src: I: checking-url http://search.cpan.org/dist/Test-CheckChanges/ (timeout 10 seconds)
perl-Test-CheckChanges.src: E: unknown-key GPG#b56a8bac
perl-Test-CheckChanges.src: I: checking-url http://search.cpan.org/CPAN/authors/id/G/GA/GAM/Test-CheckChanges-0.14.tar.gz (timeout 10 seconds)
perl-Test-CheckChanges.spec: I: checking-url http://search.cpan.org/CPAN/authors/id/G/GA/GAM/Test-CheckChanges-0.14.tar.gz (timeout 10 seconds)
2 packages and 1 specfiles checked; 1 errors, 0 warnings.

No errors so far. The mentioned error comes from the srpm which is signed with an unknown GPG key, doesn't matter.

The package perl-test-simple is available in F14 as v0.98. Do we really need the patch here? Which current distros (Fedora and EPEL) ships an older version than 0.88?

Comment 2 Paul Howarth 2011-05-06 19:14:28 UTC
Fedora 10 (and hence EPEL 4/5) have versions older than that.

Comment 3 Mario Blättermann 2011-05-07 17:12:47 UTC
---------------------------------
key:

[+] OK
[.] OK, not applicable
[X] needs work
---------------------------------

[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}.
[+] MUST: The package must meet the Packaging Guidelines.
[+] MUST: The package must be licensed with a Fedora approved license.
    GPL+ or Artistic
[+] MUST: The License field in the package spec file must match the actual
license.
[+] MUST: The file containing the text of the license(s) for the package must
be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source.
    $ md5sum *
    90f83e10cd1045009db3e7c05947bf0c  Test-CheckChanges-0.14.tar.gz
    90f83e10cd1045009db3e7c05947bf0c  Test-CheckChanges-0.14.tar.gz.packaged

[+] MUST: The package MUST successfully compile and build into binary rpms on
at least one primary architecture.
    - Succesful Koji build available.
[.] MUST: If the package does not successfully compile, build or work on an
architecture, ...
[+] MUST: All build dependencies must be listed in BuildRequires.
[.] MUST: The spec file MUST handle locales properly.
[.] MUST: If a package installs files below %{_datadir}/icons, the icon cache
must be updated.
[.] MUST: Packages storing shared library files (not just symlinks) must call
ldconfig in %post and %postun.
[.] MUST: Packages must NOT bundle copies of system libraries.
[.] MUST: If the package is designed to be relocatable, ...
[+] MUST: A package must own all directories that it creates. 
[+] MUST: A Fedora package must not list a file more than once in %files.
[+] MUST: Permissions on files must be set properly.
[+] MUST: Packages must not provide RPM dependency information when that
information is not global in nature, or are otherwise handled.
[.] MUST: When filtering automatically generated RPM dependency information,
the filtering system implemented by Fedora must be used.
[+] MUST: Each package must consistently use macros.
[+] MUST: The package must contain code, or permissable content.
[.] MUST: Large documentation files must go in a -doc subpackage.
[+] MUST: Files in %doc must not affect the runtime of the application.
[.] MUST: Header files must be in a -devel package.
[.] MUST: Static libraries must be in a -static package.
[.] MUST: If a package contains library files with a suffix (e.g.
libfoo.so.1.1), ...
[.] MUST: devel packages must require the base package using a fully versioned
dependency.
[.] MUST: Packages must NOT contain any .la libtool archives.
[.] MUST: Packages containing GUI applications must include a %{name}.desktop
file
[.] MUST: .desktop files must be properly installed with desktop-file-install
in the %install section.
[+] MUST: Packages must not own files or directories already owned by other
packages.
[+] MUST: All filenames in rpm packages must be valid UTF-8.

[.] SHOULD: If the source package does not include license text(s) as a
    separate file from upstream, the packager SHOULD query upstream...
[+] SHOULD: Timestamps of files should be preserved.
[+] SHOULD: The reviewer should test that the package builds in mock.
    See Koji build above (which uses mock anyway)
[+] SHOULD: The reviewer should test that the package functions as described.
    I assume the packager has tested it.
[.] SHOULD: If scriptlets are used, those scriptlets must be sane.
[.] SHOULD: Usually, subpackages other than devel should require the base
package using a fully versioned dependency.
[.] SHOULD: pkgconfig(.pc) files should be placed in a -devel pkg.
[.] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin,
/usr/bin, or /usr/sbin ...
[.] SHOULD: Your package should contain man pages for binaries/scripts.

----------------

PACKAGE APPROVED

----------------

Comment 4 Paul Howarth 2011-05-07 18:50:06 UTC
New Package SCM Request
=======================
Package Name: perl-Test-CheckChanges
Short Description: Check that the Changes file matches the distribution
Owners: pghmcfc
Branches: EL-4 EL-5 EL-6 F-13 F-14 F-15
InitialCC: perl-sig

Thanks for the review Mario.

Comment 5 Jason Tibbitts 2011-05-10 16:05:42 UTC
Git done (by process-git-requests).

Comment 6 Fedora Update System 2011-05-11 08:38:04 UTC
perl-Test-CheckChanges-0.14-2.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/perl-Test-CheckChanges-0.14-2.fc13

Comment 7 Fedora Update System 2011-05-11 08:38:12 UTC
perl-Test-CheckChanges-0.14-2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/perl-Test-CheckChanges-0.14-2.el5

Comment 8 Fedora Update System 2011-05-11 08:38:19 UTC
perl-Test-CheckChanges-0.14-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/perl-Test-CheckChanges-0.14-2.fc14

Comment 9 Fedora Update System 2011-05-11 08:38:26 UTC
perl-Test-CheckChanges-0.14-2.el4 has been submitted as an update for Fedora EPEL 4.
https://admin.fedoraproject.org/updates/perl-Test-CheckChanges-0.14-2.el4

Comment 10 Fedora Update System 2011-05-11 08:38:34 UTC
perl-Test-CheckChanges-0.14-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/perl-Test-CheckChanges-0.14-2.fc15

Comment 11 Paul Howarth 2011-05-11 08:42:44 UTC
EL-6 build is failing due to missing Test::Exception, which should be in RHEL-6 server optional channel.

https://fedorahosted.org/rel-eng/ticket/4604

Comment 12 Fedora Update System 2011-05-13 14:23:45 UTC
perl-Test-CheckChanges-0.14-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/perl-Test-CheckChanges-0.14-2.el6

Comment 13 Fedora Update System 2011-05-19 05:00:12 UTC
perl-Test-CheckChanges-0.14-2.fc15 has been pushed to the Fedora 15 stable repository.

Comment 14 Fedora Update System 2011-05-25 02:24:53 UTC
perl-Test-CheckChanges-0.14-2.fc13 has been pushed to the Fedora 13 stable repository.

Comment 15 Fedora Update System 2011-05-25 02:33:06 UTC
perl-Test-CheckChanges-0.14-2.fc14 has been pushed to the Fedora 14 stable repository.

Comment 16 Fedora Update System 2011-05-28 21:32:02 UTC
perl-Test-CheckChanges-0.14-2.el4 has been pushed to the Fedora EPEL 4 stable repository.

Comment 17 Fedora Update System 2011-05-28 21:33:21 UTC
perl-Test-CheckChanges-0.14-2.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 18 Fedora Update System 2011-05-28 21:35:01 UTC
perl-Test-CheckChanges-0.14-2.el5 has been pushed to the Fedora EPEL 5 stable repository.


Note You need to log in before you can comment on or make changes to this bug.